
Ruby - Bug #13646

Segmentation fault with postgresql_adapter in Rails

06/09/2017 08:45 AM - Benoit_Tigeot (Benoit Tigeot)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.4.1p111 Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4:

UNKNOWN

Description

Sometimes will running a test with guard and spring, test crash. I get a segfault on postgresql_adapter

10:16:57 - INFO - Running: spec/../../.._worker_spec.rb

Running via Spring preloader in process 45503

Run options: --seed 9030

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/lib/active_record/connection_adapters/

postgresql_adapter.rb:651: [BUG] Segmentation fault at 0x0000010abfaa3a

ruby 2.4.1p111 (2017-03-22 revision 58053) [x86_64-darwin16]

-- Crash Report log information --------------------------------------------

   See Crash Report log file under the one of following:

     * ~/Library/Logs/DiagnosticReports

     * /Library/Logs/DiagnosticReports

   for more details.

Don't forget to include the above Crash Report log file in bug reports.

-- Control frame information -----------------------------------------------

c:0059 p:---- s:0296 e:000295 CFUNC  :initialize

c:0058 p:---- s:0293 e:000292 CFUNC  :new

c:0057 p:0017 s:0288 e:000287 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/connection_adapters/postgresql_adapter.rb:6

c:0056 p:0100 s:0283 e:000282 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/connection_adapters/postgresql_adapter.rb:2 [FINISH]

c:0055 p:---- s:0275 e:000274 CFUNC  :new

c:0054 p:0104 s:0267 e:000266 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/connection_adapters/postgresql_adapter.rb:4

c:0053 p:0028 s:0261 e:000260 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/connection_adapters/abstract/connection_poo

c:0052 p:0027 s:0257 e:000256 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/connection_adapters/abstract/connection_poo

c:0051 p:0043 s:0252 e:000251 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/connection_adapters/abstract/connection_poo

c:0050 p:0008 s:0247 e:000246 BLOCK  /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/connection_adapters/abstract/connection_poo

c:0049 p:0015 s:0243 e:000242 METHOD /Users/bti/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/monitor.rb:2

14

c:0048 p:0009 s:0239 e:000238 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/connection_adapters/abstract/connection_poo

c:0047 p:0025 s:0235 e:000231 BLOCK  /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/connection_adapters/abstract/connection_poo

c:0046 p:0015 s:0229 e:000228 METHOD /Users/bti/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/monitor.rb:2

14

c:0045 p:0023 s:0225 e:000224 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/connection_adapters/abstract/connection_poo

c:0044 p:0044 s:0221 e:000220 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/connection_adapters/abstract/connection_poo

c:0043 p:0012 s:0214 e:000213 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/connection_handling.rb:113

c:0042 p:0008 s:0210 e:000209 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/connection_handling.rb:87

c:0041 p:0010 s:0206 e:000205 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l
ib/active_record/migration.rb:857

c:0040 p:0016 s:0201 e:000200 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/migration.rb:396

c:0039 p:0008 s:0197 e:000196 BLOCK  /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/migration.rb:411

c:0038 p:0025 s:0194 e:000193 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/migration.rb:642

c:0037 p:0031 s:0189 e:000188 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/migration.rb:416

c:0036 p:0025 s:0182 E:001a50 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activerecord-4.2.8/l

ib/active_record/migration.rb:411

c:0035 p:0146 s:0178 e:000177 TOP    /Users/bti/code/app/spec/rails_helper.rb:33 [FINISH]

c:0034 p:---- s:0175 e:000174 CFUNC  :require

c:0033 p:0012 s:0170 e:000169 BLOCK  /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activesupport-4.2.8/

lib/active_support/dependencies.rb:274

c:0032 p:0059 s:0167 e:000166 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activesupport-4.2.8/

lib/active_support/dependencies.rb:240

c:0031 p:0017 s:0161 e:000160 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activesupport-4.2.8/

lib/active_support/dependencies.rb:274

c:0030 p:0008 s:0155 e:000154 TOP    /Users/bti/code/app/spec/workers/../.._worker_spec.rb:1 [FINI

SH]

c:0029 p:---- s:0152 e:000151 CFUNC  :load

c:0028 p:0014 s:0146 e:000145 BLOCK  /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activesupport-4.2.8/

lib/active_support/dependencies.rb:268

c:0027 p:0059 s:0143 e:000142 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activesupport-4.2.8/

lib/active_support/dependencies.rb:240

c:0026 p:0021 s:0137 e:000136 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activesupport-4.2.8/

lib/active_support/dependencies.rb:268

c:0025 p:0026 s:0130 e:000129 BLOCK  /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/rspec-core-3.5.4/lib

/rspec/core/configuration.rb:1435 [FINISH]

c:0024 p:---- s:0125 e:000124 CFUNC  :each

c:0023 p:0029 s:0121 e:000120 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/rspec-core-3.5.4/lib

/rspec/core/configuration.rb:1433

c:0022 p:0057 s:0117 e:000116 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/rspec-core-3.5.4/lib

/rspec/core/runner.rb:100

c:0021 p:0012 s:0111 e:000110 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/rspec-core-3.5.4/lib

/rspec/core/runner.rb:86

c:0020 p:0085 s:0105 e:000104 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/rspec-core-3.5.4/lib

/rspec/core/runner.rb:71

c:0019 p:0026 s:0097 e:000096 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/rspec-core-3.5.4/lib

/rspec/core/runner.rb:45

c:0018 p:0025 s:0092 e:000091 TOP    /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/rspec-core-3.5.4/exe

/rspec:4 [FINISH]

c:0017 p:---- s:0089 e:000088 CFUNC  :load

c:0016 p:0014 s:0083 e:000082 BLOCK  /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activesupport-4.2.8/

lib/active_support/dependencies.rb:268

c:0015 p:0059 s:0080 e:000079 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activesupport-4.2.8/

lib/active_support/dependencies.rb:240

c:0014 p:0021 s:0074 e:000073 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activesupport-4.2.8/

lib/active_support/dependencies.rb:268

c:0013 p:0101 s:0067 e:000066 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-commands-rspe

c-1.0.4/lib/spring/commands/rspec.rb:18

c:0012 p:0024 s:0063 e:000062 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spr

ing/command_wrapper.rb:38

c:0011 p:0204 s:0059 e:000058 BLOCK  /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spr

ing/application.rb:191 [FINISH]

c:0010 p:---- s:0056 e:000055 CFUNC  :fork

c:0009 p:0272 s:0052 e:000051 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spr

ing/application.rb:161

c:0008 p:0075 s:0038 e:000037 BLOCK  /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spr

ing/application.rb:131 [FINISH]

c:0007 p:---- s:0035 e:000034 CFUNC  :loop

c:0006 p:0028 s:0031 e:000030 METHOD /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spr

ing/application.rb:125

c:0005 p:0167 s:0027 E:002468 TOP    /Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spr

ing/application/boot.rb:19 [FINISH]

c:0004 p:---- s:0023 e:000022 CFUNC  :require
c:0003 p:0132 s:0018 e:000017 METHOD /Users/bti/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/rubygems/cor

e_ext/kernel_require.rb:55

c:0002 p:0008 s:0006 e:000005 EVAL   -e:1 [FINISH]

c:0001 p:0000 s:0003 E:001830 (none) [FINISH]

-- Ruby level backtrace information ----------------------------------------

-e:1:in `<main>'

/Users/bti/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in `requir

e'

/Users/bti/.rvm/rubies/ruby-2.4.1/lib/ruby/2.4.0/rubygems/core_ext/kernel_require.rb:55:in `requir

e'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spring/application/boot.rb:19:in `<top (

required)>'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spring/application.rb:125:in `run'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spring/application.rb:125:in `loop'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spring/application.rb:131:in `block in r

un'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spring/application.rb:161:in `serve'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spring/application.rb:161:in `fork'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spring/application.rb:191:in `block in s

erve'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-1.7.2/lib/spring/command_wrapper.rb:38:in `call'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/spring-commands-rspec-1.0.4/lib/spring/commands/rspec.rb:

18:in `call'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activesupport-4.2.8/lib/active_support/dependencies.rb:26

8:in `load'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activesupport-4.2.8/lib/active_support/dependencies.rb:24

0:in `load_dependency'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activesupport-4.2.8/lib/active_support/dependencies.rb:26

8:in `block in load'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/activesupport-4.2.8/lib/active_support/dependencies.rb:26

8:in `load'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/rspec-core-3.5.4/exe/rspec:4:in `<top (required)>'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/rspec-core-3.5.4/lib/rspec/core/runner.rb:45:in `invoke'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/rspec-core-3.5.4/lib/rspec/core/runner.rb:71:in `run'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/rspec-core-3.5.4/lib/rspec/core/runner.rb:86:in `run'

/Users/bti/.rvm/gems/ruby-2.4.1@app/gems/rspec-core-3.5.4/lib/rspec/core/runner.rb:100:in `setup'

...................

-- Machine register context ------------------------------------------------

 rax: 0x0000000000000000 rbx: 0x00007f9938701620 rcx: 0x0000000000010000

 rdx: 0x00007fff5708b860 rdi: 0x000000010abfaa38 rsi: 0x00007f9938701620

 rbp: 0x00007fff5708b850 rsp: 0x00007fff5708b818  r8: 0x0000000000000000

  r9: 0x0000000000c18233 r10: 0x0000000108b716f0 r11: 0xffffffffa781063d

 r12: 0x00007fffb85a2e48 r13: 0x00007fffaf8c3fa0 r14: 0x00007fff5708b860

 r15: 0x00007f9938701630 rip: 0x00007fffaf8c3fa4 rfl: 0x0000000000010202

-- C level backtrace information -------------------------------------------

0   libruby.2.4.1.dylib                 0x0000000108d42248 rb_vm_bugreport + 136

1   libruby.2.4.1.dylib                 0x0000000108bda0ce rb_bug_context + 510

2   libruby.2.4.1.dylib                 0x0000000108cbd748 sigsegv + 72

3   libsystem_platform.dylib            0x00007fffaf898b3a _sigtramp + 26

4   libsystem_trace.dylib               0x00007fffaf8c3fa4 _os_log_cmp_key + 4

-- Other runtime information -----------------------------------------------

* Loaded script: rspec

* Loaded features:

    0 enumerator.so

    1 thread.rb

    2 rational.so

    3 complex.so

 I can share if needed full output by email (contains code we don't want to share)
Related issues:

Related to Ruby - Bug #15767: .rvm/rubies/ruby-2.4.4/lib/ruby/2.4.0/timeout.r... Closed

Related to Ruby - Bug #15749: Rails Sever Crashing Third Party's Issue

Related to Ruby - Bug #15639: [BUG] Segmentation fault at 0x000000010e82ca3a Third Party's Issue

Related to Ruby - Bug #15490: socket.rb - recurring segmentation faults Third Party's Issue

Related to Ruby - Bug #15763: Segmentation fault in timeout.rb / sleep Third Party's Issue

Related to Ruby - Bug #15669: This issue was marked as resolved in 2.5.5 rele... Third Party's Issue

Related to Ruby - Bug #15623: Ruby 2.6.1 Segmentation Fault in on Phusion Pas... Third Party's Issue

Related to Ruby - Bug #15796: Ramdon console crashes Third Party's Issue

Related to Ruby - Bug #13584: Crash in logging (os_log) on MBP Third Party's Issue

Related to Ruby - Bug #16283: A fork in transaction of PG cause Segmentation ... Third Party's Issue

History

#1 - 06/09/2017 08:57 AM - Benoit_Tigeot (Benoit Tigeot)

- Description updated

#2 - 04/15/2019 08:37 AM - wanabe (_ wanabe)

- Related to Bug #15767: .rvm/rubies/ruby-2.4.4/lib/ruby/2.4.0/timeout.rb:86: [BUG] Segmentation fault at 0x000000010ae58a3a added

#3 - 06/09/2019 03:54 AM - jeremyevans0 (Jeremy Evans)

- Related to Bug #15749: Rails Sever Crashing added

#4 - 06/09/2019 04:10 AM - jeremyevans0 (Jeremy Evans)

- Related to Bug #15639: [BUG] Segmentation fault at 0x000000010e82ca3a added

#5 - 06/09/2019 04:11 AM - jeremyevans0 (Jeremy Evans)

- Related to Bug #15490: socket.rb - recurring segmentation faults added

#6 - 06/09/2019 04:11 AM - jeremyevans0 (Jeremy Evans)

- Related to Bug #15763: Segmentation fault in timeout.rb / sleep added

#7 - 06/11/2019 05:54 PM - jeremyevans0 (Jeremy Evans)

- Related to Bug #15669: This issue was marked as resolved in 2.5.5 release note but I'm still experiencing it added

#8 - 06/11/2019 07:46 PM - jeremyevans0 (Jeremy Evans)

- Related to Bug #15623: Ruby 2.6.1 Segmentation Fault in on Phusion Passenger server boot in dev added

#9 - 06/24/2019 08:17 PM - jeremyevans0 (Jeremy Evans)

- Related to Bug #15796: Ramdon console crashes added

#10 - 06/24/2019 08:19 PM - jeremyevans0 (Jeremy Evans)

- Related to Bug #13584: Crash in logging (os_log) on MBP added

#11 - 10/13/2019 04:46 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Open to Third Party's Issue

#12 - 10/29/2019 06:22 PM - jeremyevans0 (Jeremy Evans)

- Related to Bug #16283: A fork in transaction of PG cause Segmentation fault added
